=== debian/changelog ===
hyperion (2.0-0kali4) kali-dev; urgency=medium

  * Update debian/watch file 

 -- Ben Wilson <g0tmi1k@kali.org>  Wed, 30 Aug 2023 09:33:02 +0100

hyperion (2.0-0kali3) kali-dev; urgency=medium

  * Fix path in autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Jun 2019 13:39:01 +0200

hyperion (2.0-0kali2) kali-dev; urgency=medium

  * Improve autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Jun 2019 09:13:53 +0200

hyperion (2.0-0kali1) kali-dev; urgency=medium

  * Add debian/gbp.conf
  * New upstream version 2.0
  * Use debhelper-compat 12
  * Update debian/copyright
  * Update installation for new release
  * Refresh patches
  * Bump Standards-Version to 4.3.0
  * Upgrade autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 14 Jun 2019 15:36:25 +0200

hyperion (1.2-0kali4) kali-dev; urgency=medium

  * Switch install location

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 10 Jun 2019 21:18:18 +0100

hyperion (1.2-0kali3) kali-dev; urgency=medium

  * Add patches to build statically
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Jun 2017 11:09:45 +0200

hyperion (1.2-0kali2) kali-dev; urgency=medium

  * Fix version and add documentation

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 May 2017 09:34:43 +0200

hyperion (1.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 May 2017 15:38:48 +0200
