=== debian/control ===
Source: hyperion
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Ben Wilson <g0tmi1k@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 12), gcc-mingw-w64-i686
Standards-Version: 4.6.2
Homepage: http://www.nullsecurity.net/tools/binary.html
Vcs-Git: https://gitlab.com/kalilinux/packages/hyperion.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/hyperion

Package: hyperion
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime encrypter for 32-bit portable executables
 This package contains a runtime encrypter for 32-bit portable executables. It
 is a reference implementation and bases on the paper "Hyperion: Implementation
 of a PE-Crypter". The paper describes the implementation details which
 aren't in the scope of this readme file.
 The crypter is started via the command line and encrypts an input executable
 with AES-128. The encrypted file decrypts itself on startup (bruteforcing the
 AES key which may take a few seconds) and generates a log file for debug
 purpose.
